commit:     d8e2aa453f5e4e711a3e33cbc46fea3be55521e0
Author:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
AuthorDate: Sat Jan 22 09:51:26 2022 +0000
Commit:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
CommitDate: Sat Jan 22 09:51:47 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d8e2aa45

app-office/gnumeric: Bump to 1.12.51

Package-Manager: Portage-3.0.30, Repoman-3.0.3
Signed-off-by: Pacho Ramos <pacho <AT> gentoo.org>

 app-office/gnumeric/Manifest                |  1 +
 app-office/gnumeric/gnumeric-1.12.51.ebuild | 92 +++++++++++++++++++++++++++++
 2 files changed, 93 insertions(+)

diff --git a/app-office/gnumeric/Manifest b/app-office/gnumeric/Manifest
index a64ffdbbe412..b7dd8e55487c 100644
--- a/app-office/gnumeric/Manifest
+++ b/app-office/gnumeric/Manifest
@@ -1,2 +1,3 @@
 DIST gnumeric-1.12.49.tar.xz 18057896 BLAKE2B 
75ae1683feb7f37cdff4cb5fbec04b0f241e4590236ea68706180853c1a950092bf0d902652d65288b42dba13c384e1ac364cefb32b9d60c37a9948d9d7fc8eb
 SHA512 
047d625aee3a15dd8881f2e11cc7c67d211d40be86ec018517d1b3140ff4bd031fb2cb86e48f1f6ee22432aa1f39c978bad5fd5bf5c6a1be9aa53411136429ed
 DIST gnumeric-1.12.50.tar.xz 18062104 BLAKE2B 
46d15e5fe540cce904de07b263707d7fd8c29d9a2611105cdb117a3acd6693651e588b4d281038b48fbc36bba100d162c2c2ab1be589ea206272155cbd9046df
 SHA512 
d5896cb8390c99fb3871c722116cc085b93b788fab91bf44d24f20228b8290170a0adc906160a6aa46431ae43b04079621c370dcda42658fa9ae3c1d8baf1730
+DIST gnumeric-1.12.51.tar.xz 18117120 BLAKE2B 
7d30dc01cda93a99ef8d47ccdf6bcfd1b6b6964a806599c7ade486f9bbfb61a876ef942174425cb2f59e018f5ec95a9df36a9deb0cd67d23e1801c2c289d83bd
 SHA512 
c46164d9deb29831ab059613548743d84cb15461ac363305a28097832eb69d3fbf3cf8784c420c777bd09e32212b2ef6237bfa56ca28a7e08fd3befde9dfed36

diff --git a/app-office/gnumeric/gnumeric-1.12.51.ebuild 
b/app-office/gnumeric/gnumeric-1.12.51.ebuild
new file mode 100644
index 000000000000..dbab1a8b51de
--- /dev/null
+++ b/app-office/gnumeric/gnumeric-1.12.51.ebuild
@@ -0,0 +1,92 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+PYTHON_COMPAT=( python3_{7..9} )
+
+inherit gnome.org libtool python-r1 xdg
+
+DESCRIPTION="The GNOME Spreadsheet"
+HOMEPAGE="http://www.gnumeric.org/";
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+IUSE="+introspection libgda perl"
+REQUIRED_USE="introspection? ( ${PYTHON_REQUIRED_USE} )"
+
+# Missing gnome-extra/libgnomedb required version in tree
+# but its upstream is dead and will be dropped soon.
+
+# lots of missing files, also fails tests due to 80-bit long story
+# upstream bug #721556
+RESTRICT="test"
+
+# Gnumeric has two python components
+# 1. The python loader for loading python-based plugins.
+#    This component is pure python 2 and a port "is not currently being worked 
on".
+# 2. The python gobject-based introspection API. This component is compatible
+#    with python 3.
+# Component 1. can only be re-enabled once someone has ported the upstream
+# codebase to python 3.
+# https://gitlab.gnome.org/GNOME/gnumeric/issues/419#note_618852
+RDEPEND="
+       app-arch/bzip2
+       sys-libs/zlib
+       >=dev-libs/glib-2.40.0:2
+       >=gnome-extra/libgsf-1.14.33:=
+       >=x11-libs/goffice-0.10.51:0.10
+       >=dev-libs/libxml2-2.4.12:2
+       >=x11-libs/pango-1.24.0:=
+
+       >=x11-libs/gtk+-3.8.7:3
+       x11-libs/cairo:=[svg]
+
+       introspection? (
+               ${PYTHON_DEPS}
+               >=dev-libs/gobject-introspection-1:=
+       )
+       perl? ( dev-lang/perl:= )
+       libgda? ( gnome-extra/libgda:5[gtk] )"
+DEPEND="${RDEPEND}"
+BDEPEND="
+       app-text/docbook-xml-dtd:4.5
+       app-text/yelp-tools
+       dev-util/gtk-doc-am
+       >=dev-util/intltool-0.35.0
+       virtual/pkgconfig"
+
+src_prepare() {
+       default
+
+       # Manage gi overrides ourselves
+       sed '/SUBDIRS/ s/introspection//' -i Makefile.{am,in} || die
+       elibtoolize
+}
+
+src_configure() {
+       econf \
+               --disable-gtk-doc \
+               --disable-maintainer-mode \
+               --disable-schemas-compile \
+               --disable-static \
+               --without-psiconv \
+               --without-python \
+               --with-zlib \
+               $(use_with libgda gda) \
+               $(use_enable introspection) \
+               $(use_with perl)
+}
+
+src_install() {
+       default
+       dodoc HACKING MAINTAINERS
+
+       if use introspection; then
+               python_moduleinto gi.overrides
+               python_foreach_impl python_domodule 
introspection/gi/overrides/Gnm.py
+       fi
+
+       # no static archives
+       find "${ED}" -name '*.la' -delete || die
+}

Reply via email to